Campaigns

List one page of a review group

GET
/api/campaigns/import/sessions/{importId}/rows

Returns one page of the rows of one review group, in file order. Pass nextAfter of a page as after for the next page, or previousBefore as before for the previous page; each is null when there is no such page. search matches every word against the first name, last name or phone number.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

importId*string

The CSV review session id returned by the upload.

Query Parameters

category*string

The review group to page.

Value in

  • "new"
  • "existing"
  • "outbound"
  • "inbound"
  • "other_users"
  • "protected"
  • "duplicate"
  • "invalid"
  • "outside_segments"
after?integer

rowNo of the last row of the previous page; the page starts after it.

Range-1 <= value
before?integer

rowNo of the first row of the next page; the page ends before it. Ignored when after is sent.

Range0 <= value
limit?integer
Range1 <= value <= 200
Default100
search?string

Words to match against the name or phone number.

Lengthlength <= 100

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/campaigns/import/sessions/string/rows?category=new"
{  "success": true,  "data": {    "rows": [      {        "id": "string",        "rowNo": 0,        "category": "new",        "selected": true,        "firstName": "string",        "lastName": "string",        "email": "string",        "phone": "string",        "segmentId": "string",        "ownedBy": "string",        "hasExistingConversation": true,        "lastMessageDate": "2019-08-24T14:15:22Z",        "protectedUntil": "2019-08-24T14:15:22Z",        "reason": "string",        "duplicateOfRowNo": 0      }    ],    "nextAfter": 0,    "previousBefore": 0,    "matches": {      "total": 0,      "selected": 0    }  }}